variable "dns_domain" {
  type        = string
  description = "Name of the Cloudflare domain"
}

variable "dns_zone_id" {
  type        = string
  description = "Zone ID of the Cloudflare domain"
}

variable "network_cidr" {
  type        = string
  description = "CIDR for the network"
  default     = "10.2.0.0/24"
}

variable "subnet_cidr" {
  type        = string
  description = "CIDR for the subnet"
  default     = "10.2.0.0/28"
}

variable "location" {
  type        = string
  description = "Region"
  default     = "nbg1"
}


variable "netbird_key" {
  type        = string
  description = "NetBird activation key"
  sensitive = true
}

variable "netbird_privatekey" {
  type        = string
  description = "NetBird private key for keeping the netbird identity"
  sensitive = true
}

variable "netbird_presharedkey" {
  type        = string
  description = "NetBird preshared key, to limit trust of netbird infrastructure"
  sensitive = true
}

variable "netbird_sshkey" {
  type        = string
  description = "NetBird ssh key, because it seems to be needed."
  sensitive = true
}